sensors(1)

NAME
sensors - print sensors information

SYNOPSIS
sensors [ options ] [ chips ]
sensors -s [ chips ]
sensors --bus-list

DESCRIPTION
sensors is used to show the current readings of all sensor chips.
sensors -s is used to set all limits as specified in the configuration file.
sensors --bus-list is used to generate bus statements suitable for the configuration file.

OPTIONS

-c, --config-file config-file
    Specify a configuration file. If no file is specified, the libsensors default configuration file is used. Use `-c /dev/null' to temporarily disable this default configuration file.

-h, --help
    Print a help text and exit.

-s, --set
    Evaluate all `set' statements in the configuration file and exit. You must be `root' to do this. If this parameter is not specified, no `set' statement is evaluated.

-A, --no-adapter
    Do not show the adapter for each chip.

-u  Raw output. This mode is suitable for debugging and for post-processing of the output by scripts. It is also useful when writing a configuration file because it shows the raw input names which must be referenced in the configuration file.

-j  Json output. This mode is suitable for post-processing of the output by scripts.

-v, --version
    Print the program version and exit.

-f, --fahrenheit
    Print the temperatures in degrees Fahrenheit instead of Celsius.

--bus-list
    Generate bus statements suitable for using in sensors.conf. Such bus statements are only needed if you have several chips sharing the same address on different buses of the same type. As bus numbers are usually not guaranteed to be stable over reboots, these statements let you refer to each bus by its name rather than numbers.

FILES
/etc/sensors3.conf
/etc/sensors.conf
    The system wide configuration file. See sensors.conf(5) for further details.

SEE ALSO
sensors.conf(5), sensors-detect(8).

AUTHOR
Frodo Looijaard and the lm_sensors group https://hwmon.wiki.kernel.org/lm_sensors